#
# spec file for package ibm-dlpar-utils-release (Version 15)
#
# Copyright (c) 2020 SUSE.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugzilla.novell.com/
#



%define         product ibm-dlpar-utils
%define         productversion %{version}
%define         productrelease %{release}

Name:           ibm-dlpar-utils-release
Summary:        IBM DLPAR Utils for SLE 15
Version:        15
Release:        2
License:        BSD-3-Clause
Group:          System/Fhs
Vendor:         IBM

Provides:       %name-%version
Provides:       product() = %{product}
Provides:       product(%{product}) = %{productversion}-%{productrelease}
Provides:       product-label() = IBMDLPU15
Provides:       product-cpeid() = cpe%3A%2Fo%3Asuse%3Aibm%2Ddlpar%2Dutils%3A15
Provides:       product-url(bugtracker) = https%3A%2F%2Fbugzilla.novell.com%2F
Provides:       product-register-flavor() = extension
Provides:       product-endoflife() = 2019%2D10%2D31
Requires:       product_flavor(%{product})

Requires:       product(SUSE_SLE) >= 15

AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IBM DLPAR Utils for SLE 15


%package POOL
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(POOL)
Provides:       product_flavor(%{product}) = %{productversion}-%{productrelease}
Summary:        IBM DLPAR Utils for SLE 15

%description POOL
IBM DLPAR Utils for SLE 15

%files POOL
%defattr(-,root,root)
%doc %{_defaultdocdir}/ibm-dlpar-utils-release-POOL



%prep

%build


%install
mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/ibm-dlpar-utils.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>%{vendor}</vendor>
  <name>%{product}</name>
  <version>%{productversion}</version>
  <baseversion>15</baseversion>
  <patchlevel>0</patchlevel>
  <release>%{productrelease}</release>
  <endoflife>2028-07-31</endoflife>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:suse:ibm-dlpar-utils:15</cpeid>
  <productline>%{product}</productline>
  <register>
    <target/>
    <flavor>extension</flavor>
    <updates>
    </updates>
  </register>
  <upgrades/>
  <summary>IBM DLPAR Utils for SLE 15</summary>
  <shortsummary>IBMDLPU15</shortsummary>
  <description>IBM DLPAR Utils for SLE 15</description>
  <urls>
    <url name="bugtracker">https://bugzilla.novell.com/</url>
  </urls>
  <buildconfig>
    <producttheme>SLES</producttheme>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="%{name}" flag="EQ" version="%{version}" release="%{release}"/>
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig/>
  <productdependency relationship="requires" name="SUSE_SLE" baseversion="15" patchlevel="0" flag="GE"/>
</product>

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/ibm-dlpar-utils-release-POOL
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/ibm-dlpar-utils-release-POOL/README << EOF
This package only exists for providing the product flavor 'POOL'.

EOF



%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod

%changelog
